using System.Windows;
using Microsoft.Phone.Controls;
using Microsoft.Phone.Tasks;

namespace PhoneNumberChooserTask
{
    public partial class MainPage : PhoneApplicationPage
    {
        // Instanzierung des PhoneNumberChooserTask
        private Microsoft.Phone.Tasks.PhoneNumberChooserTask myPhoneNumberChooserTask = new Microsoft.Phone.Tasks.PhoneNumberChooserTask();

        // Hauptkonstruktor
        public MainPage()
        {
            InitializeComponent();

            // Hinzufuegen des Completed Ereignisses
            myPhoneNumberChooserTask.Completed += new System.EventHandler<Microsoft.Phone.Tasks.PhoneNumberResult>(myPhoneNumberChooserTask_Completed);
        }

        // Ereignismethode der Schaltfläche
        private void button1_Click(object sender, RoutedEventArgs e)
        {
            // Aufrufen der Kontaktapplikation von Windows Phone 7
            myPhoneNumberChooserTask.Show();
        }

        // Ereignismethode des Completed Ereignisses
        void myPhoneNumberChooserTask_Completed(object sender, Microsoft.Phone.Tasks.PhoneNumberResult e)
        {
            // Pruefen, ob Task korrekt beendet wurde
            if (e.TaskResult == TaskResult.OK)
            {
                // Nachrichtenfenster mit Ausgabe der selektierten Telefonnummer anzeigen
                MessageBox.Show("Der PhoneNumberChooserTask wurde beendet und die folgende Nummer wurde gewählt: " + e.PhoneNumber);
            }
        }
    }
}